1up Electronic Prior Authorization enables providers to confirm whether prior authorization is necessary for a given service or procedure, verify member coverage, discover specific prior authorization documentation requirements, and submit a prior authorization request to health plans partnered with 1up.
Payers with the following health plans must support Electronic Prior Authorization by January 1st, 2027 due to the 2024 CMS Interoperability and Prior Authorization final rule (CMS-0057-F):
- Medicare Advantage (MA)
- Medicaid
- Children's Health Insurance Program (CHIP)
- Qualified Health Plan (QHP) issuers on the Federally-facilitated Exchanges (FFEs)
Electronic Prior Authorization is made up of three APIs:
- Coverage Requirements Discovery (CRD) verifies the member's coverage and clarifies if prior authorization is required during the provider's normal workflow.
- Documentation Templates and Rules (DTR) gathers any required documents and prompts providers to answer questions related to the EPA request.
- Prior Authorization Support (PAS) submits the prior authorization request to the patient's health plan.
Contact customer-engagement@1up.health to request EPA client credentials for OAuth 2.0. You must have client credentials for either the demo or production environments.
See Authentication to receive the necessary client credentials for 1up's OAuth 2.0 configuration.
Replace the curly brackets {} and all text inside them with the client credentials provided to you.
curl -I -X POST 'https://gateway.1upcoreuat.com/auth/realms/epa-uat/protocol/openid-connect/token' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'client_id={your_client_id}' \
-d 'client_secret={your_client_secret}' \
-d 'grant_type=client_credentials'The IT staff at provider organizations will configure their EHR and other CDS clients to request data from the cds-services endpoint that is used for all subsequent APIs for EPA.
curl -I -X GET 'https://gateway.1upcoreuat.com/v1/1upcoreuat/crd-prod/demo/demo/cds-services' \
-H 'Authorization: Bearer {access_token}'The response below to the demo cds-services request includes the operations we support and prefetch requirements. Production implementations use a different URL from the demo to reach the cds-services endpoint.
The cds-services response is only an example. CDS clients should be configured to request the production cds-services endpoint to ensure up-to-date information.
{
"services": [
{
"hook": "order-sign",
"title": "Clinical Decision Support | Coverage Requirements Discovery Service",
"description": "Da Vinci Order Sign endpoint for CRD. Provides coverage information including prior authorization requirements",
"id": "order-sign",
"prefetch": {
"coverage": "Coverage?beneficiary=Patient/{{context.patientId}}",
"performer": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:performer",
"patient": "Patient/{{context.patientId}}",
"location": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:locationReference"
}
},
{
"hook": "appointment-book",
"title": "Clinical Decision Support | Appointment Book",
"description": "Da Vinci Appointment Book endpoint for CRD. Provides coverage information for scheduled appointments",
"id": "appointment-book",
"prefetch": {
"coverage": "Coverage?beneficiary=Patient/{{context.patientId}}",
"performer": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:performer",
"patient": "Patient/{{context.patientId}}",
"location": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:locationReference"
}
},
{
"hook": "order-select",
"title": "Clinical Decision Support | Coverage Requirements Discovery Service",
"description": "Da Vinci Order Select endpoint for CRD. Provides coverage information during order selection",
"id": "order-select",
"prefetch": {
"coverage": "Coverage?beneficiary=Patient/{{context.patientId}}",
"performer": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:performer",
"patient": "Patient/{{context.patientId}}",
"location": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:locationReference"
}
},
{
"hook": "order-dispatch",
"title": "Clinical Decision Support | Coverage Requirements Discovery Service",
"description": "Provides coverage information including prior authorization requirements",
"id": "order-dispatch",
"prefetch": {
"coverage": "Coverage?beneficiary=Patient/{{context.patientId}}",
"performer": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:performer",
"patient": "Patient/{{context.patientId}}",
"location": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:locationReference"
}
},
{
"hook": "encounter-start",
"title": "Clinical Decision Support | Encounter Start",
"description": "Da Vinci Encounter Start endpoint for CRD. Provides coverage information when an encounter begins",
"id": "encounter-start",
"prefetch": {
"location": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:locationReference",
"coverage": "Coverage?beneficiary=Patient/{{context.patientId}}",
"encounter": "Encounter/{{context.encounterId}}",
"performer": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:performer",
"patient": "Patient/{{context.patientId}}"
}
},
{
"hook": "encounter-discharge",
"title": "Clinical Decision Support | Encounter Discharge",
"description": "Da Vinci Encounter Discharge endpoint for CRD. Provides coverage information when discharging a patient",
"id": "encounter-discharge",
"prefetch": {
"location": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:locationReference",
"coverage": "Coverage?beneficiary=Patient/{{context.patientId}}",
"encounter": "Encounter/{{context.encounterId}}",
"performer": "ServiceRequest?_id={{context.draftOrders.ServiceRequest.id}}&_include=ServiceRequest:performer",
"patient": "Patient/{{context.patientId}}"
}
}
]
}When needed, use one of the CPT codes below for testing your implementation.
| Code | Expected outcome |
|---|---|
| 81162 | PA Required |
| 27445 | PA Not Required |
When needed, use SUB101 for the subscriber ID in demo queries.
Review the documentation provided by HL7, Da Vinci, and your specific Clinical Decision Support (CDS) clients, like your EMR, for guidance on implementing CDS hooks.
Provider organizations must configure their EHR or other Clinical Decision Support (CDS) clients with the below values for each Coverage FHIR resource. These values are used as path parameters for requests to all three APIs.
Contact customer-engagement@1up.health to receive the customerKey and partitionKey values for production implementation.
| Value | Description |
|---|---|
customerKey | Unique identifier assigned to a payer organization by 1upHealth. |
partitionKey | Identifier for one of a payer's health plans or lines of business. |
demo is the customerKey and partitionKey value for the demo environment.